// -------------------------------------------------------*- C++ -*----------
//  Copyright (C) 1990-2007 by ILOG.
//  All Rights Reserved.
//
//  N O T I C E
//
//  THIS MATERIAL IS CONSIDERED A TRADE SECRET BY ILOG.
//  UNAUTHORIZED ACCESS, USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
// --------------------------------------------------------------------------
#ifndef __CONCERT_ilostringH
#define __CONCERT_ilostringH

#if !defined(__CONCERT_iloanyH)
#include <ilconcert/iloany.h>
#endif
#if !defined(__CONCERT_iloexpressionH)
#include <ilconcert/iloexpression.h>
#endif
#if !defined(__CONCERT_ilolinearH)
#include <ilconcert/ilolinear.h>
#endif

/////////////////
//
// ILOSTRINGARRAY
//

typedef IloArray<const char*> IloStringArrayBase;

class IloStringArray : public IloStringArrayBase {
public:
	typedef IloDefaultArrayI ImplClass;
	IloStringArray(IloDefaultArrayI* i=0) : IloStringArrayBase(i) {}

	IloStringArray(const IloStringArray& copy) : IloStringArrayBase(copy) {}

	IloStringArray(const IloEnv env, IloInt n = 0) : IloStringArrayBase(env, n) {}
        IloStringArray(const IloMemoryManager env, IloInt n = 0) : IloStringArrayBase(env, n) {}

#ifdef CPPREF_GENERATION
	void add(const char* p);
#endif
};

#endif
