// -------------------------------------------------------------- -*- C++ -*-
// File: ilconcert/ilocheckforstop.h
// --------------------------------------------------------------------------
//  Copyright (C) 1990-2007 by ILOG.
//  All Rights Reserved.
//
//  N O T I C E
//
//  THIS MATERIAL IS CONSIDERED A TRADE SECRET BY ILOG.
//  UNAUTHORIZED ACCESS, USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
// --------------------------------------------------------------------------


// -*- C++ -*- header file.
#ifndef __CONCERT_ilocheckforstopH
#define __CONCERT_ilocheckforstopH

#ifndef __CONCERT_ilosysH
#include <ilconcert/ilosys.h>
#endif

#ifndef __CONCERTEXT_IloBasicH
#include <ilconcert/ilobasic.h>
#endif

class IloCheckForStopI
{
public:

	IloCheckForStopI(){}
	virtual IloBool stop() const {return IloFalse;}
};

class IloCheckForStop
{
	ILOHANDLEMINI(IloCheckForStop,IloCheckForStopI);
public:
	IloBool stop() const {return _impl->stop();}
};

#define ILOCHECKFORSTOP0(_this) \
class name2(_this,ConcertI) : public IloCheckForStopI { \
public:\
  name2(_this,ConcertI)();\
  ~name2(_this,ConcertI)();\
  virtual IloBool stop() const;\
};\
name2(_this,ConcertI)::name2(_this,ConcertI)() : IloCheckForStopI() {}\
name2(_this,ConcertI)::~name2(_this,ConcertI)() {}\
IloCheckForStop _this(IloEnv env) {\
  return new (env) name2(_this,ConcertI)();\
}\
IloBool name2(_this,ConcertI)::stop() const

#define ILOCHECKFORSTOP1(_this, t1, a1) \
class name2(_this,ConcertI) : public IloCheckForStopI { \
  t1 a1;\
public:\
  name2(_this,ConcertI)(t1);\
  ~name2(_this,ConcertI)();\
  virtual IloBool stop() const;\
};\
name2(_this,ConcertI)::name2(_this,ConcertI)(t1 name2(a1,a1)) : IloCheckForStopI(), \
  a1(name2(a1, a1)) {}\
name2(_this,ConcertI)::~name2(_this,ConcertI)() {}\
IloCheckForStop _this(IloEnv env, t1 name2(a1, a1)) {\
  return new (env) name2(_this,ConcertI)(name2(a1, a1));\
}\
IloBool name2(_this,ConcertI)::stop() const

#endif /* __CONCERT_ilocheckforstopH */
