function build2frameFS(left_frame_src, right_frame_src, new_window, left_frame_name, right_frame_name) {
  if (arguments.length == 3) {
    left_frame_name = 'ManualContents';
    right_frame_name = 'ManualBody';
  }
  var w;
  if (new_window == 1) {
    w = window.opener.parent.frames['Data'];
  } else {
    w = self.parent;
  }
  var doc = w.document;
  doc.open();
  doc.writeln('<html>');
  doc.writeln('<head>');
  doc.writeln('<title>Search Result</title>');
  doc.writeln('<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />');
  doc.writeln('</head>');
  doc.writeln('<frameset cols="25%, *" bordercolor="#dddddd">');
  doc.writeln('<frame src="' + left_frame_src + '" name="' + left_frame_name + '" />');
  doc.writeln('<frame src="' + right_frame_src + '" name="' + right_frame_name + '" />');
  doc.writeln('</frameset>');
  doc.writeln('</html>');
  doc.close();
}

function build3frameFS(upper_left_frame_src, lower_left_frame_src, right_frame_src, new_window, upper_left_frame_name, lower_left_frame_name, right_frame_name) {
  if (arguments.length == 4) {
    upper_left_frame_name = 'packageListFrame';
    lower_left_frame_name = 'packageFrame';
    right_frame_name = 'classFrame';
  }
  var w;
  if (new_window == 1) {
    w = window.opener.parent.frames['Data'];
  } else {
    w = self.parent;
  }
  var doc = w.document;
  doc.open();
  doc.writeln('<html>');
  doc.writeln('<head>');
  doc.writeln('<title>Search Result</title>');
  doc.writeln('<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />');
  doc.writeln('</head>');
  doc.writeln('<frameset cols="20%,80%">');
  doc.writeln('<frameset rows="30%,70%">');
  doc.writeln('<frame src="' + upper_left_frame_src + '" name="' + upper_left_frame_name + '" />');
  doc.writeln('<frame src="' + lower_left_frame_src + '" name="' + lower_left_frame_name + '" />');
  doc.writeln('</frameset>');
  doc.writeln('<frame src="' + right_frame_src + '" name="' + right_frame_name + '" />');
  doc.writeln('</frameset>');
  doc.writeln('</html>');
  doc.close();
}
